/* DBView */
.sysPopup .DBView {
	margin: 0;
}

.DBList .lineMenu, .DBList THEAD > TH:first-child:not([title]), .DBView THEAD > TR > TH:first-child:empty,
.DBList TBODY > TR:first-child > TD:first-child:not([title]), .DBView TBODY > TR:first-child > TD:first-child:empty {
	width: 19px;
}

.DBView TABLE {
	-webkit-transform: translate3d(0, 0, 0);
	-moz-transform: translate3d(0, 0, 0);
	-ms-transform: translate3d(0, 0, 0);
	-o-transform: translate3d(0, 0, 0);
	transform: translate3d(0, 0, 0);
}

.DBView .content {
	padding: 0;
}

.DBView TH, #floater {
	text-align: left;
	overflow: hidden;
	text-overflow: ellipsis;
	position: relative;
	white-space: nowrap;

	padding: 2px;
	height: 15px;
	margin: 0;
	vertical-align: middle;

	font-weight: bold;
	color: #333333;
	background-color: #B9C9D0;
}

.DBView TH.center, #floater.center {
	text-align: center;
}

.DBView THEAD TR TD {
	background-color: rgba(0, 0, 0, .05);
}

.DBView TR {
	height: 27px;
	font-size: 10px;
}
.DBView TR.selected {
	background-color: rgba(51,124,167,.1);
}

.DBView TR[data-context] {
	cursor: pointer;
}

TABLE > TBODY > TR TD:first-child {
	font-weight: bold;
	min-width: 160px;
	width: 40%;
}

TABLE > THEAD + TBODY > TR TD:first-child {
	font-weight: normal;
}

.DBView TR:nth-child(even)>TD,
.DBView TR:nth-child(even)>TH {
	background-color: rgba(0, 0, 0, .05);
}
.DBView TR.selected:nth-child(even) {
	background-color: rgba(51,124,167,.2);
}

.DBView:not(.DBList) .content > FORM > TABLE TR TD:first-child {
	border-right: 1px solid #DDDDDD;
	border-bottom: 1px solid #DDDDDD;
	border-left: 1px solid #fefefe;
	border-top: 1px solid #fefefe;
	padding: 1px 0px 0px 3px;
	height: 16px;
	margin: 0px;
	vertical-align: middle;
	overflow: hidden;
	font-weight: bold;
	color: #333333;
	width: 95px;
	background-color: #f0f0f0;
	white-space: nowrap;
	text-overflow: ellipsis;
}

.Block.DBView.wideTitles TR TD:nth-child(odd) {
	width: 160px;
}

.DBView TH, .DBView TD {
	padding: 3px 5px;
	line-height: 20px;
	/*white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;*/ /* Comment: No mechanism for showing clipped info means we can't clip info. Giving it a whirl to see which issues, if any, arise. */
	border: 1px solid rgba(189, 189, 189, 0.4);
}

.DBView TH {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	vertical-align: top;
}

.DBView TH:last-child {
	border-right: none;
}

.DBView TH[data-names] {
	cursor: pointer;
}

IMG.statusIcon {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.DBView THEAD>TR>TH.lineMenu {
	width: 19px !important;
}
.DBView THEAD:has(TR):has(TH.lineMenu) + TBODY>TR>TD:first-child {
	padding: 0;
	text-align: center;
}
.DBView THEAD:has(TR):has(TH.lineMenu) + TBODY>TR>TD:first-child::after {
	content: '';
	width: 0;
	height: 0;
	border-left: 5.1px solid transparent;
	border-right: 5.1px solid transparent;
	border-top: 8px solid #b9b9b9;
	display: inline-block;
}

.DBView TBODY>TR>TD:nth-child(1)>IMG,
.DBView TBODY>TR>TD:nth-child(2)>IMG,
.DBView TBODY>TR>TD:nth-child(3)>IMG,
.DBView TBODY>TR>TD:nth-child(4)>IMG,
.DBView TBODY>TR>TD:nth-child(5)>IMG {
	vertical-align: text-bottom;
}